#ifndef CCTRLHEIGHTSENSOR_H
#define CCTRLHEIGHTSENSOR_H

#include "cmwidget.h"

#include "export_ctrls_common.h"
class CTRLS_COMMON_EXPORT CCtrlHeightSensor : public CMWidget
{
	Q_OBJECT

public:
	CCtrlHeightSensor(QWidget *parent);
	~CCtrlHeightSensor();

	virtual void MTimeFresh();

	void refreshPixmap();
	QPixmap m_Pixmap;
	QColor m_BKColor;
private:
	
protected:
	virtual void paintEvent(QPaintEvent *);
public:
	double m_dVolumeRange;
	double m_dCurVolume;
	double m_dVolumeWarning;
	double m_dVolumeAlarm;

};

#endif // CCTRLHEIGHTSENSOR_H
